locked
Sharepoint sql server question RRS feed

  • Question

  • Are there any issues using WSS Sp2 with Sql Server 2008 R2 SP1?    I've searched and not been able to find any mention of compatibility with sql 2k8 r2 sp1.    I'd like to find some kind of matrix that has all the versions of sp and what they are compatible with if possible.

    thanks.

    Thursday, October 6, 2011 5:15 PM

All replies

  • Hi,

    You should be able to run this configuration. I have used it earlier and was able to do it without any issues.

     

    I hope this will hope you out.


    Thanks, Rahul Rashu
    Thursday, October 6, 2011 5:45 PM
  • When WSS2.0 was invented, it used an older version of SQL Server.  So, to use a newer version of SS is most likely not an issue as everything from SS2005 would be backward compatible in SS2008. 
    Steve Clark, MCTS | Twin-Soft.com
    Thursday, October 6, 2011 8:04 PM
  • Hmm, I'd question whether they'd work.  Maybe Rashu can give some more information on his configuration

    SQL Server 2005 needed a minimum of SP3 before it would work with WSS 2.0 or SPS and that was released near the end of the product life cycle.  You're effectively missing out a version of the SQL product and I can't see any reason why Microsoft would build backwards compatability in, especially considering the large changes in database schemas.  I can't see anything in the SP1 notes that indicate that changed anything either.

    Also, is there a reason why you're still using WSS 2.0?  SharePoint Foundation, it's more recent counterpart is free and will give you extra and more effective features to use.

     


    Steven Andrews | SharePoint Professional | http://www.twitter.com/backpackerd00d | https://baron72.wordpress.com/
    Friday, October 7, 2011 9:07 AM
    Answerer
  • Just to clarify, i'm using WSS 3.0, not 2.0.    We're currently at SP2 plus I believe the most recent updates (build 12.0.0.6554).    We'll be upgrading to Foundation later this year, but for now, the DBA team is going to upgrade their sql server from 2k8 R2  to 2k8 R2 SP1.    They've asked me if there are any issues with sharepoint if they add the service pack 1 to their sql server.    I've googled for hours and couldnt find anything so I decided to post the question here.   

    I agree with two of the replies to this thread that it SHOULD be ok, but i'd like to find it somewhere in writing.

    thanks

    Monday, October 10, 2011 12:18 PM
  • Hi Fisk,

    Hope this official link helps:

    http://msdn.microsoft.com/en-us/library/bb326358.aspx

     


    Thanks & Regards,
    Kamlesh | Blog | Twitter | Posting is provided "AS IS" with no warranties, and confers no rights.
    Monday, October 10, 2011 2:49 PM